{
  "createdWith": "Open Stage Control",
  "version": "1.24.0",
  "type": "session",
  "content": {
    "type": "root",
    "lock": false,
    "id": "root",
    "visible": true,
    "interaction": true,
    "comments": "",
    "width": "auto",
    "height": "auto",
    "colorText": "auto",
    "colorWidget": "auto",
    "alphaFillOn": "auto",
    "borderRadius": "auto",
    "padding": "auto",
    "html": "",
    "css": "",
    "colorBg": "auto",
    "layout": "default",
    "justify": "start",
    "gridTemplate": "",
    "contain": true,
    "scroll": true,
    "innerPadding": true,
    "tabsPosition": "top",
    "hideMenu": false,
    "variables": "@{parent.variables}",
    "traversing": false,
    "value": "",
    "default": "",
    "linkId": "",
    "address": "auto",
    "preArgs": "",
    "typeTags": "",
    "decimals": 2,
    "target": "",
    "ignoreDefaults": false,
    "bypass": false,
    "onCreate": "",
    "onValue": "",
    "widgets": [
      {
        "type": "panel",
        "top": 0,
        "left": 0,
        "lock": false,
        "id": "main_panel",
        "visible": true,
        "interaction": "VAR{editable, true}",
        "comments": "",
        "width": "100%",
        "height": "100%",
        "expand": "false",
        "colorText": "auto",
        "colorWidget": "auto",
        "colorStroke": "auto",
        "colorFill": "auto",
        "alphaStroke": "auto",
        "alphaFillOff": "auto",
        "alphaFillOn": "auto",
        "lineWidth": "auto",
        "borderRadius": "auto",
        "padding": "auto",
        "html": "",
        "css": "JS{\n// assuming play button's on value is 1\nif  (@{transport} === 1) return `\n:host > inner > .navigation {\n  pointer-events: none;\n  filter: grayscale(100%);\n}`\n}",
        "colorBg": "auto",
        "layout": "default",
        "justify": "start",
        "gridTemplate": "",
        "contain": true,
        "scroll": true,
        "innerPadding": true,
        "tabsPosition": "top",
        "variables": "@{parent.variables}",
        "traversing": false,
        "value": "",
        "default": "",
        "linkId": "",
        "address": "auto",
        "preArgs": "",
        "typeTags": "",
        "decimals": 2,
        "target": "",
        "ignoreDefaults": false,
        "bypass": false,
        "onCreate": "",
        "onValue": "const pieces = ['berger', 'robinson', 'penrose', 'ammann', 'kari', 'jaendel']\nvar piece = pieces[value]\n/*\nstateSet(stateGet('mixer/' + piece + '/volume'))\nstateSet(stateGet('mixer/' + piece + '/pan'))\nstateSet(stateGet('mixer/' + piece + '/mute'))\nstateSet(stateGet('mixer/' + piece + '/volume_master'))\n*/\nstateSet(stateGet('mixer/' + piece))",
        "widgets": [],
        "tabs": [
          {
            "type": "tab",
            "lock": false,
            "id": "control_tab",
            "visible": true,
            "interaction": true,
            "comments": "",
            "colorText": "auto",
            "colorWidget": "auto",
            "colorFill": "auto",
            "borderRadius": "auto",
            "padding": "auto",
            "html": "",
            "css": "",
            "colorBg": "auto",
            "layout": "default",
            "justify": "start",
            "gridTemplate": "",
            "contain": true,
            "scroll": true,
            "innerPadding": true,
            "tabsPosition": "top",
            "label": "Berger",
            "variables": "@{parent.variables}",
            "traversing": false,
            "value": "",
            "default": "",
            "linkId": "",
            "address": "auto",
            "preArgs": "",
            "typeTags": "",
            "decimals": 2,
            "target": "",
            "ignoreDefaults": false,
            "bypass": false,
            "onCreate": "",
            "onValue": "",
            "widgets": [],
            "tabs": [
              {
                "type": "tab",
                "lock": false,
                "id": "metronome_tab",
                "visible": true,
                "interaction": true,
                "comments": "",
                "colorText": "auto",
                "colorWidget": "auto",
                "colorFill": "auto",
                "borderRadius": "auto",
                "padding": "auto",
                "html": "",
                "css": "",
                "colorBg": "auto",
                "layout": "default",
                "justify": "start",
                "gridTemplate": "",
                "contain": true,
                "scroll": true,
                "innerPadding": true,
                "tabsPosition": "top",
                "label": "metronome/transport",
                "variables": "@{parent.variables}",
                "traversing": false,
                "value": "",
                "default": "",
                "linkId": "",
                "address": "auto",
                "preArgs": "",
                "typeTags": "",
                "decimals": 2,
                "target": "",
                "ignoreDefaults": false,
                "bypass": false,
                "onCreate": "",
                "onValue": "",
                "widgets": [
                  {
                    "type": "fragment",
                    "top": 0,
                    "left": 0,
                    "lock": false,
                    "id": "transport/berger",
                    "visible": true,
                    "interaction": true,
                    "comments": "",
                    "width": "100%",
                    "height": "100%",
                    "expand": "false",
                    "css": "JS{\n// assuming play button's on value is 1\nif  (@{transport} === 1) return `\n:host > inner > .navigation {\n  pointer-events: none;\n  filter: grayscale(100%);\n}`\n}\n",
                    "file": "transport.json",
                    "fallback": "",
                    "props": {
                      "variables": {
                        "piece": "berger",
                        "tempo": 60,
                        "endmeasure": -1
                      }
                    },
                    "address": "auto",
                    "variables": "@{parent.variables}"
                  }
                ],
                "tabs": []
              },
              {
                "type": "tab",
                "lock": false,
                "id": "mixer_tab",
                "visible": true,
                "interaction": true,
                "comments": "",
                "colorText": "auto",
                "colorWidget": "auto",
                "colorFill": "auto",
                "borderRadius": "auto",
                "padding": "auto",
                "html": "",
                "css": "",
                "colorBg": "auto",
                "layout": "default",
                "justify": "start",
                "gridTemplate": "",
                "contain": true,
                "scroll": true,
                "innerPadding": true,
                "tabsPosition": "top",
                "label": "mixer",
                "variables": "@{parent.variables}",
                "traversing": false,
                "value": "",
                "default": "",
                "linkId": "",
                "address": "auto",
                "preArgs": "",
                "typeTags": "",
                "decimals": 2,
                "target": "",
                "ignoreDefaults": false,
                "bypass": false,
                "onCreate": "",
                "onValue": "",
                "widgets": [
                  {
                    "type": "fragment",
                    "top": 0,
                    "left": 0,
                    "lock": false,
                    "id": "mixer/berger",
                    "visible": true,
                    "interaction": true,
                    "comments": "",
                    "width": "100%",
                    "height": "100%",
                    "expand": "false",
                    "css": "",
                    "file": "mixer.json",
                    "fallback": "",
                    "props": {
                      "variables": {
                        "piece": "berger",
                        "quantity": 6,
                        "labels": [
                          "3b",
                          "2b",
                          "1b",
                          "3a",
                          "2a",
                          "1a"
                        ]
                      }
                    },
                    "address": "auto",
                    "variables": "@{parent.variables}"
                  }
                ],
                "tabs": []
              }
            ]
          },
          {
            "type": "tab",
            "lock": false,
            "id": "control_tab",
            "visible": true,
            "interaction": true,
            "comments": "",
            "colorText": "auto",
            "colorWidget": "auto",
            "colorFill": "auto",
            "borderRadius": "auto",
            "padding": "auto",
            "html": "",
            "css": "",
            "colorBg": "auto",
            "layout": "default",
            "justify": "start",
            "gridTemplate": "",
            "contain": true,
            "scroll": true,
            "innerPadding": true,
            "tabsPosition": "top",
            "label": "Robinson",
            "variables": "@{parent.variables}",
            "traversing": false,
            "value": "",
            "default": "",
            "linkId": "",
            "address": "auto",
            "preArgs": "",
            "typeTags": "",
            "decimals": 2,
            "target": "",
            "ignoreDefaults": false,
            "bypass": false,
            "onCreate": "",
            "onValue": "",
            "widgets": [],
            "tabs": [
              {
                "type": "tab",
                "lock": false,
                "id": "metronome_tab",
                "visible": true,
                "interaction": true,
                "comments": "",
                "colorText": "auto",
                "colorWidget": "auto",
                "colorFill": "auto",
                "borderRadius": "auto",
                "padding": "auto",
                "html": "",
                "css": "",
                "colorBg": "auto",
                "layout": "default",
                "justify": "start",
                "gridTemplate": "",
                "contain": true,
                "scroll": true,
                "innerPadding": true,
                "tabsPosition": "top",
                "label": "metronome/transport",
                "variables": "@{parent.variables}",
                "traversing": false,
                "value": "",
                "default": "",
                "linkId": "",
                "address": "auto",
                "preArgs": "",
                "typeTags": "",
                "decimals": 2,
                "target": "",
                "ignoreDefaults": false,
                "bypass": false,
                "onCreate": "",
                "onValue": "",
                "widgets": [
                  {
                    "type": "fragment",
                    "top": 0,
                    "left": 0,
                    "lock": false,
                    "id": "transport/robinson",
                    "visible": true,
                    "interaction": true,
                    "comments": "",
                    "width": "100%",
                    "height": "100%",
                    "expand": "false",
                    "css": "",
                    "file": "transport.json",
                    "fallback": "",
                    "props": {
                      "variables": {
                        "piece": "robinson",
                        "tempo": 60,
                        "endmeasure": -1
                      }
                    },
                    "address": "auto",
                    "variables": "@{parent.variables}"
                  }
                ],
                "tabs": []
              },
              {
                "type": "tab",
                "lock": false,
                "id": "mixer_tab",
                "visible": true,
                "interaction": true,
                "comments": "",
                "colorText": "auto",
                "colorWidget": "auto",
                "colorFill": "auto",
                "borderRadius": "auto",
                "padding": "auto",
                "html": "",
                "css": "",
                "colorBg": "auto",
                "layout": "default",
                "justify": "start",
                "gridTemplate": "",
                "contain": true,
                "scroll": true,
                "innerPadding": true,
                "tabsPosition": "top",
                "label": "mixer",
                "variables": "@{parent.variables}",
                "traversing": false,
                "value": "",
                "default": "",
                "linkId": "",
                "address": "auto",
                "preArgs": "",
                "typeTags": "",
                "decimals": 2,
                "target": "",
                "ignoreDefaults": false,
                "bypass": false,
                "onCreate": "",
                "onValue": "",
                "widgets": [
                  {
                    "type": "fragment",
                    "top": 0,
                    "left": 0,
                    "lock": false,
                    "id": "mixer/robinson",
                    "visible": true,
                    "interaction": true,
                    "comments": "",
                    "width": "100%",
                    "height": "100%",
                    "expand": "false",
                    "css": "",
                    "file": "mixer.json",
                    "fallback": "",
                    "props": {
                      "variables": {
                        "piece": "robinson",
                        "quantity": 8,
                        "labels": [
                          "8",
                          "7",
                          "6",
                          "5",
                          "4",
                          "3",
                          "2",
                          "1"
                        ]
                      }
                    },
                    "address": "auto",
                    "variables": "@{parent.variables}"
                  }
                ],
                "tabs": []
              }
            ]
          },
          {
            "type": "tab",
            "lock": false,
            "id": "control_tab",
            "visible": true,
            "interaction": true,
            "comments": "",
            "colorText": "auto",
            "colorWidget": "auto",
            "colorFill": "auto",
            "borderRadius": "auto",
            "padding": "auto",
            "html": "",
            "css": "",
            "colorBg": "auto",
            "layout": "default",
            "justify": "start",
            "gridTemplate": "",
            "contain": true,
            "scroll": true,
            "innerPadding": true,
            "tabsPosition": "top",
            "label": "Penrose",
            "variables": "@{parent.variables}",
            "traversing": false,
            "value": "",
            "default": "",
            "linkId": "",
            "address": "auto",
            "preArgs": "",
            "typeTags": "",
            "decimals": 2,
            "target": "",
            "ignoreDefaults": false,
            "bypass": false,
            "onCreate": "",
            "onValue": "",
            "widgets": [],
            "tabs": [
              {
                "type": "tab",
                "lock": false,
                "id": "metronome_tab",
                "visible": true,
                "interaction": true,
                "comments": "",
                "colorText": "auto",
                "colorWidget": "auto",
                "colorFill": "auto",
                "borderRadius": "auto",
                "padding": "auto",
                "html": "",
                "css": "",
                "colorBg": "auto",
                "layout": "default",
                "justify": "start",
                "gridTemplate": "",
                "contain": true,
                "scroll": true,
                "innerPadding": true,
                "tabsPosition": "top",
                "label": "metronome/transport",
                "variables": "@{parent.variables}",
                "traversing": false,
                "value": "",
                "default": "",
                "linkId": "",
                "address": "auto",
                "preArgs": "",
                "typeTags": "",
                "decimals": 2,
                "target": "",
                "ignoreDefaults": false,
                "bypass": false,
                "onCreate": "",
                "onValue": "",
                "widgets": [
                  {
                    "type": "fragment",
                    "top": 0,
                    "left": 0,
                    "lock": false,
                    "id": "transport/penrose",
                    "visible": true,
                    "interaction": true,
                    "comments": "",
                    "width": "100%",
                    "height": "100%",
                    "expand": "false",
                    "css": "",
                    "file": "transport.json",
                    "fallback": "",
                    "props": {
                      "variables": {
                        "piece": "penrose",
                        "tempo": 120,
                        "endmeasure": -1
                      }
                    },
                    "address": "auto",
                    "variables": "@{parent.variables}"
                  }
                ],
                "tabs": []
              },
              {
                "type": "tab",
                "lock": false,
                "id": "mixer_tab",
                "visible": true,
                "interaction": true,
                "comments": "",
                "colorText": "auto",
                "colorWidget": "auto",
                "colorFill": "auto",
                "borderRadius": "auto",
                "padding": "auto",
                "html": "",
                "css": "",
                "colorBg": "auto",
                "layout": "default",
                "justify": "start",
                "gridTemplate": "",
                "contain": true,
                "scroll": true,
                "innerPadding": true,
                "tabsPosition": "top",
                "label": "mixer",
                "variables": "@{parent.variables}",
                "traversing": false,
                "value": "",
                "default": "",
                "linkId": "",
                "address": "auto",
                "preArgs": "",
                "typeTags": "",
                "decimals": 2,
                "target": "",
                "ignoreDefaults": false,
                "bypass": false,
                "onCreate": "",
                "onValue": "",
                "widgets": [
                  {
                    "type": "fragment",
                    "top": 0,
                    "left": 0,
                    "lock": false,
                    "id": "mixer/penrose",
                    "visible": true,
                    "interaction": true,
                    "comments": "",
                    "width": "100%",
                    "height": "100%",
                    "expand": "false",
                    "css": "",
                    "file": "mixer.json",
                    "fallback": "",
                    "props": {
                      "variables": {
                        "piece": "penrose",
                        "quantity": 6,
                        "labels": [
                          "6",
                          "5",
                          "4",
                          "3",
                          "2",
                          "1"
                        ]
                      }
                    },
                    "address": "auto",
                    "variables": "@{parent.variables}"
                  }
                ],
                "tabs": []
              }
            ]
          },
          {
            "type": "tab",
            "lock": false,
            "id": "control_tab",
            "visible": true,
            "interaction": true,
            "comments": "",
            "colorText": "auto",
            "colorWidget": "auto",
            "colorFill": "auto",
            "borderRadius": "auto",
            "padding": "auto",
            "html": "",
            "css": "",
            "colorBg": "auto",
            "layout": "default",
            "justify": "start",
            "gridTemplate": "",
            "contain": true,
            "scroll": true,
            "innerPadding": true,
            "tabsPosition": "top",
            "label": "Ammann",
            "variables": "@{parent.variables}",
            "traversing": false,
            "value": "",
            "default": "",
            "linkId": "",
            "address": "auto",
            "preArgs": "",
            "typeTags": "",
            "decimals": 2,
            "target": "",
            "ignoreDefaults": false,
            "bypass": false,
            "onCreate": "",
            "onValue": "",
            "widgets": [],
            "tabs": [
              {
                "type": "tab",
                "lock": false,
                "id": "metronome_tab",
                "visible": true,
                "interaction": true,
                "comments": "",
                "colorText": "auto",
                "colorWidget": "auto",
                "colorFill": "auto",
                "borderRadius": "auto",
                "padding": "auto",
                "html": "",
                "css": "",
                "colorBg": "auto",
                "layout": "default",
                "justify": "start",
                "gridTemplate": "",
                "contain": true,
                "scroll": true,
                "innerPadding": true,
                "tabsPosition": "top",
                "label": "metronome/transport",
                "variables": "@{parent.variables}",
                "traversing": false,
                "value": "",
                "default": "",
                "linkId": "",
                "address": "auto",
                "preArgs": "",
                "typeTags": "",
                "decimals": 2,
                "target": "",
                "ignoreDefaults": false,
                "bypass": false,
                "onCreate": "",
                "onValue": "",
                "widgets": [
                  {
                    "type": "fragment",
                    "top": 0,
                    "left": 0,
                    "lock": false,
                    "id": "transport/ammann",
                    "visible": true,
                    "interaction": true,
                    "comments": "",
                    "width": "100%",
                    "height": "100%",
                    "expand": "false",
                    "css": "",
                    "file": "transport.json",
                    "fallback": "",
                    "props": {
                      "variables": {
                        "piece": "ammann",
                        "tempo": 60,
                        "endmeasure": -1
                      }
                    },
                    "address": "auto",
                    "variables": "@{parent.variables}"
                  }
                ],
                "tabs": []
              },
              {
                "type": "tab",
                "lock": false,
                "id": "mixer_tab",
                "visible": true,
                "interaction": true,
                "comments": "",
                "colorText": "auto",
                "colorWidget": "auto",
                "colorFill": "auto",
                "borderRadius": "auto",
                "padding": "auto",
                "html": "",
                "css": "",
                "colorBg": "auto",
                "layout": "default",
                "justify": "start",
                "gridTemplate": "",
                "contain": true,
                "scroll": true,
                "innerPadding": true,
                "tabsPosition": "top",
                "label": "mixer",
                "variables": "@{parent.variables}",
                "traversing": false,
                "value": "",
                "default": "",
                "linkId": "",
                "address": "auto",
                "preArgs": "",
                "typeTags": "",
                "decimals": 2,
                "target": "",
                "ignoreDefaults": false,
                "bypass": false,
                "onCreate": "",
                "onValue": "",
                "widgets": [
                  {
                    "type": "fragment",
                    "top": 0,
                    "left": 0,
                    "lock": false,
                    "id": "mixer/ammann",
                    "visible": true,
                    "interaction": true,
                    "comments": "",
                    "width": "100%",
                    "height": "100%",
                    "expand": "false",
                    "css": "",
                    "file": "mixer.json",
                    "fallback": "",
                    "props": {
                      "variables": {
                        "piece": "ammann",
                        "quantity": 8,
                        "labels": [
                          "1",
                          "2",
                          "3",
                          "4",
                          "5",
                          "6",
                          "7",
                          "8"
                        ]
                      }
                    },
                    "address": "auto",
                    "variables": "@{parent.variables}"
                  }
                ],
                "tabs": []
              }
            ]
          },
          {
            "type": "tab",
            "lock": false,
            "id": "control_tab",
            "visible": true,
            "interaction": true,
            "comments": "",
            "colorText": "auto",
            "colorWidget": "auto",
            "colorFill": "auto",
            "borderRadius": "auto",
            "padding": "auto",
            "html": "",
            "css": "",
            "colorBg": "auto",
            "layout": "default",
            "justify": "start",
            "gridTemplate": "",
            "contain": true,
            "scroll": true,
            "innerPadding": true,
            "tabsPosition": "top",
            "label": "Kari",
            "variables": "@{parent.variables}",
            "traversing": false,
            "value": "",
            "default": "",
            "linkId": "",
            "address": "auto",
            "preArgs": "",
            "typeTags": "",
            "decimals": 2,
            "target": "",
            "ignoreDefaults": false,
            "bypass": false,
            "onCreate": "",
            "onValue": "",
            "widgets": [],
            "tabs": [
              {
                "type": "tab",
                "lock": false,
                "id": "metronome_tab",
                "visible": true,
                "interaction": true,
                "comments": "",
                "colorText": "auto",
                "colorWidget": "auto",
                "colorFill": "auto",
                "borderRadius": "auto",
                "padding": "auto",
                "html": "",
                "css": "",
                "colorBg": "auto",
                "layout": "default",
                "justify": "start",
                "gridTemplate": "",
                "contain": true,
                "scroll": true,
                "innerPadding": true,
                "tabsPosition": "top",
                "label": "metronome/transport",
                "variables": "@{parent.variables}",
                "traversing": false,
                "value": "",
                "default": "",
                "linkId": "",
                "address": "auto",
                "preArgs": "",
                "typeTags": "",
                "decimals": 2,
                "target": "",
                "ignoreDefaults": false,
                "bypass": false,
                "onCreate": "",
                "onValue": "",
                "widgets": [
                  {
                    "type": "fragment",
                    "top": 0,
                    "left": 0,
                    "lock": false,
                    "id": "transport/kari",
                    "visible": true,
                    "interaction": true,
                    "comments": "",
                    "width": "100%",
                    "height": "100%",
                    "expand": "false",
                    "css": "",
                    "file": "transport.json",
                    "fallback": "",
                    "props": {
                      "variables": {
                        "piece": "kari",
                        "tempo": 45,
                        "endmeasure": -1
                      }
                    },
                    "address": "auto",
                    "variables": "@{parent.variables}"
                  }
                ],
                "tabs": []
              },
              {
                "type": "tab",
                "lock": false,
                "id": "mixer_tab",
                "visible": true,
                "interaction": true,
                "comments": "",
                "colorText": "auto",
                "colorWidget": "auto",
                "colorFill": "auto",
                "borderRadius": "auto",
                "padding": "auto",
                "html": "",
                "css": "",
                "colorBg": "auto",
                "layout": "default",
                "justify": "start",
                "gridTemplate": "",
                "contain": true,
                "scroll": true,
                "innerPadding": true,
                "tabsPosition": "top",
                "label": "mixer",
                "variables": "@{parent.variables}",
                "traversing": false,
                "value": "",
                "default": "",
                "linkId": "",
                "address": "auto",
                "preArgs": "",
                "typeTags": "",
                "decimals": 2,
                "target": "",
                "ignoreDefaults": false,
                "bypass": false,
                "onCreate": "",
                "onValue": "",
                "widgets": [
                  {
                    "type": "fragment",
                    "top": 0,
                    "left": 0,
                    "lock": false,
                    "id": "mixer/kari",
                    "visible": true,
                    "interaction": true,
                    "comments": "",
                    "width": "100%",
                    "height": "100%",
                    "expand": "false",
                    "css": "",
                    "file": "mixer.json",
                    "fallback": "",
                    "props": {
                      "variables": {
                        "piece": "kari",
                        "quantity": 7,
                        "labels": [
                          "noise",
                          "bass",
                          "ensemble 5",
                          "ensemble 4",
                          "ensemble 3",
                          "ensemble 2",
                          "ensemble 1"
                        ]
                      }
                    },
                    "address": "auto",
                    "variables": "@{parent.variables}"
                  }
                ],
                "tabs": []
              }
            ]
          },
          {
            "type": "tab",
            "lock": false,
            "id": "control_tab",
            "visible": true,
            "interaction": true,
            "comments": "",
            "colorText": "auto",
            "colorWidget": "auto",
            "colorFill": "auto",
            "borderRadius": "auto",
            "padding": "auto",
            "html": "",
            "css": "",
            "colorBg": "auto",
            "layout": "default",
            "justify": "start",
            "gridTemplate": "",
            "contain": true,
            "scroll": true,
            "innerPadding": true,
            "tabsPosition": "top",
            "label": "Jaendel",
            "variables": "@{parent.variables}",
            "traversing": false,
            "value": "",
            "default": "",
            "linkId": "",
            "address": "auto",
            "preArgs": "",
            "typeTags": "",
            "decimals": 2,
            "target": "",
            "ignoreDefaults": false,
            "bypass": false,
            "onCreate": "",
            "onValue": "",
            "widgets": [],
            "tabs": [
              {
                "type": "tab",
                "lock": false,
                "id": "metronome_tab",
                "visible": true,
                "interaction": true,
                "comments": "",
                "colorText": "auto",
                "colorWidget": "auto",
                "colorFill": "auto",
                "borderRadius": "auto",
                "padding": "auto",
                "html": "",
                "css": "",
                "colorBg": "auto",
                "layout": "default",
                "justify": "start",
                "gridTemplate": "",
                "contain": true,
                "scroll": true,
                "innerPadding": true,
                "tabsPosition": "top",
                "label": "metronome/transport",
                "variables": "@{parent.variables}",
                "traversing": false,
                "value": "",
                "default": "",
                "linkId": "",
                "address": "auto",
                "preArgs": "",
                "typeTags": "",
                "decimals": 2,
                "target": "",
                "ignoreDefaults": false,
                "bypass": false,
                "onCreate": "",
                "onValue": "",
                "widgets": [
                  {
                    "type": "fragment",
                    "top": 0,
                    "left": 0,
                    "lock": false,
                    "id": "transport/jaendel",
                    "visible": true,
                    "interaction": true,
                    "comments": "",
                    "width": "100%",
                    "height": "100%",
                    "expand": "false",
                    "css": "",
                    "file": "transport.json",
                    "fallback": "",
                    "props": {
                      "variables": {
                        "piece": "jaendel",
                        "tempo": 60,
                        "endmeasure": -1
                      }
                    },
                    "address": "auto",
                    "variables": "@{parent.variables}"
                  }
                ],
                "tabs": []
              },
              {
                "type": "tab",
                "lock": false,
                "id": "mixer_tab",
                "visible": true,
                "interaction": true,
                "comments": "",
                "colorText": "auto",
                "colorWidget": "auto",
                "colorFill": "auto",
                "borderRadius": "auto",
                "padding": "auto",
                "html": "",
                "css": "",
                "colorBg": "auto",
                "layout": "default",
                "justify": "start",
                "gridTemplate": "",
                "contain": true,
                "scroll": true,
                "innerPadding": true,
                "tabsPosition": "top",
                "label": "mixer",
                "variables": "@{parent.variables}",
                "traversing": false,
                "value": "",
                "default": "",
                "linkId": "",
                "address": "auto",
                "preArgs": "",
                "typeTags": "",
                "decimals": 2,
                "target": "",
                "ignoreDefaults": false,
                "bypass": false,
                "onCreate": "",
                "onValue": "",
                "widgets": [
                  {
                    "type": "fragment",
                    "top": 0,
                    "left": 0,
                    "lock": false,
                    "id": "mixer/jaendel",
                    "visible": true,
                    "interaction": true,
                    "comments": "",
                    "width": "100%",
                    "height": "100%",
                    "expand": "false",
                    "css": "",
                    "file": "mixer.json",
                    "fallback": "",
                    "props": {
                      "variables": {
                        "piece": "jaendel",
                        "quantity": 32,
                        "labels": [
                          "1L",
                          "1R",
                          "2L",
                          "2R",
                          "3L",
                          "3R",
                          "4L",
                          "4R",
                          "5L",
                          "5R",
                          "6L",
                          "6R",
                          "7L",
                          "7R",
                          "8L",
                          "8R",
                          "9L",
                          "9R",
                          "10L",
                          "10R",
                          "11L",
                          "11R",
                          "12L",
                          "12R",
                          "13L",
                          "13R",
                          "14L",
                          "14R",
                          "15L",
                          "15R",
                          "16L",
                          "16R",
                          "17L",
                          "17R"
                        ]
                      }
                    },
                    "address": "auto",
                    "variables": "@{parent.variables}"
                  }
                ],
                "tabs": []
              }
            ]
          }
        ]
      }
    ],
    "tabs": []
  }
}